KMimeMagicResult class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KMimeMagicResult Class Reference

This class or method is obsolete, it is provided for compatibility only. Use KMimeType::findByContent() instead May be removed in KDE 4.0 Returned by KMimeMagic `find`...Type methods. More...

`#include <kmimemagic.h>`

Collaboration diagram for KMimeMagicResult:

[legend]
List of all members.

## Public Member Functions
QString | mimeType () const
| Retrieve the mimetype (e.g.
int | accuracy () const
| Retrieve the accuracy of the matching.
bool | isValid () const
| Returns whether the result is valid (i.e.
void | setMimeType (const QString &_mime)
void | setAccuracy (int _accuracy)
void | setInvalid ()
## Protected Attributes
QString | m_strMimeType
int | m_iAccuracy

## Detailed Description

This class or method is obsolete, it is provided for compatibility only. Use KMimeType::findByContent() instead May be removed in KDE 4.0 Returned by KMimeMagic `find`...Type methods.

It contains the mimetype and the encoding of the file or buffer read.

Definition at line 45 of file kmimemagic.h.

## Member Function Documentation

QString KMimeMagicResult::mimeType | ( |  | ) | const`[inline]`

| Retrieve the mimetype (e.g. "text/html") of the file or buffer parsed. Definition at line 54 of file kmimemagic.h. Referenced by KMimeType::findByContent(), KMimeType::findByFileContent(), and KMimeType::findByURL().

int KMimeMagicResult::accuracy | ( |  | ) | const`[inline]`

| Retrieve the accuracy of the matching. Definition at line 58 of file kmimemagic.h. Referenced by KMimeType::findByContent(), and KMimeType::findByFileContent().

bool KMimeMagicResult::isValid | ( |  | ) | const`[inline]`

| Returns whether the result is valid (i.e. mimetype not empty). Definition at line 62 of file kmimemagic.h. References QString::isEmpty(). Referenced by KMimeType::findByContent(), KMimeType::findByFileContent(), and KMimeType::findByURL().

The documentation for this class was generated from the following file:

- kmimemagic.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:09 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001